# -*- encoding: utf-8 -*-
# stub: sensu-plugins-disk-checks 5.1.4 ruby lib

Gem::Specification.new do |s|
  s.name = "sensu-plugins-disk-checks".freeze
  s.version = "5.1.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "development_status" => "active", "maintainer" => "@mattyjones", "production_status" => "unstable - testing recommended", "release_draft" => "false", "release_prerelease" => "false" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Sensu-Plugins and contributors".freeze]
  s.date = "2020-11-06"
  s.description = "This plugin provides native disk instrumentation\n                              for monitoring and metrics collection, including:\n                              health, usage, and various metrics.".freeze
  s.email = "<sensu-users@googlegroups.com>".freeze
  s.executables = ["check-smart-tests.rb".freeze, "metrics-disk-capacity.rb".freeze, "check-disk-usage.rb".freeze, "check-fstab-mounts.rb".freeze, "check-smart-status.rb".freeze, "metrics-disk.rb".freeze, "check-smart.rb".freeze, "metrics-disk-usage.rb".freeze]
  s.files = ["bin/check-disk-usage.rb".freeze, "bin/check-fstab-mounts.rb".freeze, "bin/check-smart-status.rb".freeze, "bin/check-smart-tests.rb".freeze, "bin/check-smart.rb".freeze, "bin/metrics-disk-capacity.rb".freeze, "bin/metrics-disk-usage.rb".freeze, "bin/metrics-disk.rb".freeze]
  s.homepage = "https://github.com/sensu-plugins/sensu-plugins-disk-checks".freeze
  s.licenses = ["MIT".freeze]
  s.post_install_message = "You can use the embedded Ruby by setting EMBEDDED_RUBY=true in /etc/default/sensu".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.3".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Sensu plugins for disk checks".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<sys-filesystem>.freeze, ["= 1.3.4"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.81.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  else
    s.add_dependency(%q<sensu-plugin>.freeze, ["~> 4.0"])
    s.add_dependency(%q<sys-filesystem>.freeze, ["= 1.3.4"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.1"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0"])
    s.add_dependency(%q<github-markup>.freeze, ["~> 3.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.10"])
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<redcarpet>.freeze, ["~> 3.2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.1"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.81.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.11"])
  end
end
